/* Copyright (c) 2001-2004 by SoftIntegration, Inc. All Rights Reserved */
#include <stdio.h>
#include <stdarg.h>

typedef int (*FUNC)(int num, va_list ap);
int func2(FUNC fp, ...) {
   va_list ap;
   int retval;
   int num;

   va_start(ap, fp);
   num = va_arg(ap, int);
   retval = fp(num, ap);
   va_end(ap);
   return 0;
}
